using Microsoft.AspNetCore.Identity;
using System;
using System.ComponentModel.DataAnnotations;

namespace Shride.Models
{
  public class User : IdentityUser
  {
    public User() { }

    [Required(ErrorMessage = "Type username.")]
    [Display(Name="Användarnamn")]
    public string Name { get; set; }

    public string Email { get; set; }

    public string Phone { get; set; }
        
    [Required(ErrorMessage = "Type password.")]
    [UIHint("password")]
    [Display(Name="Lösenord")]
    public string Password { get; set; }

    public string ReturnUrl { get; set; }
  }
}
